local mod = ...



-- Job: Bath House -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_ENTERTAINMENT_BATH",
	JobName = "JOB_ENTERTAINMENT_BATH_NAME",
	JobDescription = "JOB_ENTERTAINMENT_BATH_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
	-- UseWorkplaceBehavior = true,
	ProductionDelay = 60.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP", 
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE"
	}
})

mod:override({
	Id = "NEWCOMER",
	CompatibleJobList = {
		Action = "APPEND",
		"JOB_ENTERTAINMENT_BATH"
	}
})

mod:override({
	Id = "SERF",
	CompatibleJobList = {
		Action = "APPEND",
		"JOB_ENTERTAINMENT_BATH"
	}
})

mod:override({
	Id = "COMMONER",
	CompatibleJobList = {
		Action = "APPEND",
		"JOB_ENTERTAINMENT_BATH"
	}
})



-- Building Function: Bath -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_FUNCTION_MARKET",
	Id = "BUILDING_FUNCTION_ENTERTAINMENT_BATH",
	Name = "BUILDING_FUNCTION_ENTERTAINMENT_BATH_NAME",
	IsPrivate = false,
	WorkerCapacity = 3,
	RelatedJob = { 
		Job = "JOB_ENTERTAINMENT_BATH", 
		Behavior = "BEHAVIOR_WORK"
	},
	TypeList = { "ENTERTAINMENT" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 20,
	InputInventoryCapacity = {
	},
	ResourceListNeeded = {
	},
	ResourceProduced = {
		{ Resource = "RESOURCE_ENTERTAINMENT", Quantity = 2 },
	}
})



-- Building Part: Bath House (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
	Id = "ENTERTAINMENT_MOD_BATHHOUSE_PART",
	AssetBuildingFunction = "BUILDING_FUNCTION_ENTERTAINMENT_BATH",
	Cost = {
		BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 100 } },
		UpkeepCost = {
			{ Resource = "GOLD_COINS", Quantity = 50 },
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 75 },
			{ Resource = "STONE", Quantity = 25 },
		}
	},
})



-- Job: Brothel -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_ENTERTAINMENT_BROTHEL",
	JobName = "JOB_ENTERTAINMENT_BROTHEL_NAME",
	JobDescription = "JOB_ENTERTAINMENT_BROTHEL_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
	-- UseWorkplaceBehavior = true,
	ProductionDelay = 60.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP", 
		WalkAnimation = "WALKING",
		IdleAnimation = "IDLE"
	}
})

mod:override({
	Id = "NEWCOMER",
	CompatibleJobList = {
		Action = "APPEND",
		"JOB_ENTERTAINMENT_BROTHEL"
	}
})

mod:override({
	Id = "SERF",
	CompatibleJobList = {
		Action = "APPEND",
		"JOB_ENTERTAINMENT_BROTHEL"
	}
})

mod:override({
	Id = "COMMONER",
	CompatibleJobList = {
		Action = "APPEND",
		"JOB_ENTERTAINMENT_BROTHEL"
	}
})



-- Building Function: Brothel -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_FUNCTION_MARKET",
	Id = "BUILDING_FUNCTION_ENTERTAINMENT_BROTHEL",
	Name = "BUILDING_FUNCTION_ENTERTAINMENT_BROTHEL_NAME",
	IsPrivate = false,
	WorkerCapacity = 3,
	RelatedJob = { 
		Job = "JOB_ENTERTAINMENT_BROTHEL", 
		Behavior = "BEHAVIOR_WORK"
	},
	TypeList = { "ENTERTAINMENT" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 20,
	InputInventoryCapacity = {
	},
	ResourceListNeeded = {
	},
	ResourceProduced = {
		{ Resource = "RESOURCE_ENTERTAINMENT", Quantity = 2 },
	}
})



-- Building Part: Brothel (OVERRIDE) -------------------------------------------------------------------------------------
mod:override({
	Id = "ENTERTAINMENT_MOD_BROTHEL_PART",
	AssetBuildingFunction = "BUILDING_FUNCTION_ENTERTAINMENT_BROTHEL",
	Cost = {
		BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 100 } },
		UpkeepCost = {
			{ Resource = "GOLD_COINS", Quantity = 50 },
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 25 },
			{ Resource = "GLASS", Quantity = 10 },
		}
	},
})



